# wxRichTextBox Class Reference
[Rich Text]

`#include <wx/richtext/richtextbuffer.h>`

Inheritance diagram for wxRichTextBox:
[legend]

## Detailed Description

This class implements a floating or inline text box, containing paragraphs.

##

Library: wxRichText

Category: Rich Text

See also:
  wxRichTextParagraphLayoutBox, wxRichTextObject, wxRichTextBuffer, wxRichTextCtrl

## Public Member Functions
| wxRichTextBox (wxRichTextObject *parent=NULL)
| Default constructor; optionally pass the parent object.
| wxRichTextBox (const wxRichTextBox &obj)
| Copy constructor.
virtual bool | Draw (wxDC &dc, const wxRichTextRange &range, const wxRichTextSelection &selection, const wxRect &rect, int descent, int style)
| Draw the item, within the given range.
virtual wxString | GetXMLNodeName () const
| Returns the XML node name of this object.
virtual bool | CanEditProperties () const
| Returns true if we can edit the object's properties via a GUI.
virtual bool | EditProperties (wxWindow *parent, wxRichTextBuffer *buffer)
virtual wxString | GetPropertiesMenuLabel () const
| Returns the label to be used for the properties context menu item.
virtual wxRichTextObject * | Clone () const
| Clones the object.
void | Copy (const wxRichTextBox &obj)

List of all members.

## Constructor & Destructor Documentation

wxRichTextBox::wxRichTextBox | ( | wxRichTextObject * | parent = `NULL` | ) |

Default constructor; optionally pass the parent object.

wxRichTextBox::wxRichTextBox | ( | const wxRichTextBox & | obj | ) | `[inline]`

Copy constructor.

## Member Function Documentation

virtual bool wxRichTextBox::CanEditProperties | ( |  | ) | const`[inline, virtual]`

Returns true if we can edit the object's properties via a GUI.

Reimplemented from wxRichTextObject.

Reimplemented in wxRichTextCell, and wxRichTextTable.

virtual wxRichTextObject* wxRichTextBox::Clone | ( |  | ) | const`[inline, virtual]`

Clones the object.

Reimplemented from wxRichTextParagraphLayoutBox.

Reimplemented in wxRichTextCell, and wxRichTextTable.

void wxRichTextBox::Copy | ( | const wxRichTextBox & | obj | ) |

virtual bool wxRichTextBox::Draw | ( | wxDC & | dc,
|  | const wxRichTextRange & | range,
|  | const wxRichTextSelection & | selection,
|  | const wxRect & | rect,
|  | int | descent,
|  | int | style |
| ) |  |  | `[virtual]`

Draw the item, within the given range.

Some objects may ignore the range (for example paragraphs) while others must obey it (lines, to implement wrapping)

Reimplemented from wxRichTextParagraphLayoutBox.

Reimplemented in wxRichTextCell, and wxRichTextTable.

virtual bool wxRichTextBox::EditProperties | ( | wxWindow * | parent,
|  | wxRichTextBuffer * | buffer |
| ) |  |  | `[virtual]`

Reimplemented in wxRichTextCell, and wxRichTextTable.

virtual wxString wxRichTextBox::GetPropertiesMenuLabel | ( |  | ) | const`[inline, virtual]`

Returns the label to be used for the properties context menu item.

Reimplemented from wxRichTextObject.

Reimplemented in wxRichTextCell, and wxRichTextTable.

virtual wxString wxRichTextBox::GetXMLNodeName | ( |  | ) | const`[inline, virtual]`

Returns the XML node name of this object.

This must be overridden for wxXmlNode-base XML export to work.

Reimplemented from wxRichTextParagraphLayoutBox.

Reimplemented in wxRichTextCell, and wxRichTextTable.

|  | [ top ]